JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FocusChangeListener Class Referenceabstract
juce_gui_basics » desktop

Classes can implement this interface and register themselves with the Desktop class to receive callbacks when the currently focused component changes. More...

`#include <juce_Desktop.h>`

Inheritance diagram for FocusChangeListener:

## Public Member Functions
virtual | ~FocusChangeListener ()=default
| Destructor.
virtual void | globalFocusChanged (Component *focusedComponent)=0
| Callback to indicate that the currently focused component has changed.

## Detailed Description

Classes can implement this interface and register themselves with the Desktop class to receive callbacks when the currently focused component changes.

See also
  Desktop::addFocusChangeListener, Desktop::removeFocusChangeListener

## Constructor & Destructor Documentation

## ◆ ~FocusChangeListener()

virtual FocusChangeListener::~FocusChangeListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ globalFocusChanged()

virtual void FocusChangeListener::globalFocusChanged | ( | Component * | focusedComponent | ) |
| pure virtual

Callback to indicate that the currently focused component has changed.

Implemented in KeyPressMappingSet.

The documentation for this class was generated from the following file:

- juce_Desktop.h